
QGIS Application - Bug report #11025

Crash opening a project with missing GRASS vector layer

2014-08-08 03:53 AM - Roy Roge

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:2.4.0 Regression?: No

Operating System: linux windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19364

Description

Hi,

this is my first try to report a "bug", hope i'm doing ok:

opening a QGIS project where a GRASS vector was saved in the QGIS layers panel,

but the GRASS database is actually missing (say you moved it to another folder),

you get QGIS to crash immediately.

This does not happens with rasters.

thanks, Roy.

Associated revisions

Revision a3513850 - 2014-08-30 08:31 AM - Jürgen Fischer

grass provider: catch unavailable mapserver (fixes #11025)

History

#1 - 2014-08-29 11:18 PM - Jürgen Fischer

- Category set to GRASS

- Subject changed from QGIS (GRASS Plugin) Crash opening a project with missing GRASS vector layer to Crash opening a project with missing 

GRASS vector layer

#2 - 2014-08-29 11:35 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"a35138508c06f84cbe374fdb32bf77946b8cfa4f".
